## 关于我们

`TestableMock`的核心开发团队来自**阿里云·云研发部**（前身为**阿里集团研发效能部**）。我们不仅对内支持阿里集团数千个BU级产品线的项目代码、测试、发布全生命周期流程，同时也是阿里云企业级研发协同平台[云效](https://www.aliyun.com/product/yunxiao)的产品研发团队，一直深耕在开发者工具领域，致力于改善开发者生产体验和构筑企业数字化研发生态。

`TestableMock`功能的灵感来自于我们对Java开发者在日常单元测试中经常遇到的痛点总结（[外部依赖Mock繁琐](zh-cn/doc/use-mock.md)、[私有方法难测试](zh-cn/doc/private-accessor.md)、[无返回值方法难测试](zh-cn/doc/test-void-method.md)、复杂参数难构造）。它在内部的名字是`Testable`，在开源时为了搜索引擎优化，改名为`TestableMock`，并主推轻量级Mock功能。 不要被它的名字所迷惑，`TestableMock`绝不仅仅是Mock。

从黑客马拉松活动孵化，到内部开源，再到对外开源，`TestableMock`已经积累了一批阿里集团内部和外部社区的开发者用户。与此同时，我们也在不断完善`TestableMock`自身的功能丰富性和稳定性。按照当前的版本发布流程，我们通常会先在内部更新包含`SNAPSHOT`标记的内测版，在至少稳定使用一天以后，才发布正式版本到Maven中心仓库（除严重BUG修复版本外），以确保工具能为大家带来更多的便捷和更少的负担。

最后，关于社区里常有对“过于强大的测试辅助是否等同于纵容代码腐化”的讨论，我们持相对乐观的态度。正如`PowerMock`的诞生并没有真的催生更多烂项目，反而切实解决了许多Java语言遗留的测试难题。与其拐弯抹角的采用“测试技巧”间接测试功能，不如大胆打破约束，就让单元测试来得更猛烈一些吧！🤠
